<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.trade.service.enterprise.customer.mapper.EnterpriseRelatedPersonMapper">

    <resultMap type="com.trade.service.enterprise.customer.domain.EnterpriseRelatedPerson" id="EnterpriseRelatedPersonMap">
        <result property="id" column="id"/>
        <result property="enterpriseChangeRecordId" column="enterprise_change_record_id"/>
        <result property="countryCode" column="country_code"/>
        <result property="personalCertType" column="personal_cert_type"/>
        <result property="personalCertNo" column="personal_cert_no"/>
        <result property="name" column="name"/>
        <result property="mobile" column="mobile"/>
        <result property="email" column="email"/>
        <result property="birthday" column="birthday"/>
        <result property="isAuthorizedPerson" column="is_authorized_person"/>
        <result property="isLegalPerson" column="is_legal_person"/>
        <result property="isDirector" column="is_director"/>
        <result property="isBeneficiary" column="is_beneficiary"/>
        <result property="isFinancePerson" column="is_finance_person"/>
        <result property="isControl" column="is_control"/>
        <result property="address" column="address"/>
        <result property="liveAddress" column="live_address"/>
        <result property="marriageStatus" column="marriage_status"/>
        <result property="authorizationFileSigned" column="authorization_file_signed"/>
        <result property="signDate" column="sign_date"/>
        <result property="remark" column="remark"/>
        <result property="deleted" column="deleted"/>
        <result property="createBy" column="create_by"/>
        <result property="updateBy" column="update_by"/>
        <result property="gmtCreate" column="gmt_create"/>
        <result property="gmtModified" column="gmt_modified"/>
    </resultMap>

    <sql id="Base_Column_List">
        `id`, `enterprise_change_record_id`, `country_code`, `personal_cert_type`, `cert_no`, `name`,
        `mobile`, `email`, `birthday`, `is_authorized_person`, `is_legal_person`, `is_director`,
        `is_beneficiary`, `is_finance_person`, `is_control`, `address`, `live_address`, `marriage_status`,
        `authorization_file_signed`,`sign_date`,`remark`, `deleted`, `create_by`, `update_by`, `gmt_create`, `gmt_modified`
    </sql>

</mapper>

